create_coupling_inductors#

NexximComponents.create_coupling_inductors(compname, l1, l2, value=1, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a coupling inductor.

Parameters:
compnamestr

Name of the coupling inductor.

l1float, optional

Value for the first inductor.

l2float, optional

Value for the second inductor.

valuefloat, optional

Value for the coupling inductor. The default is 1.

locationlist of float, optional

Position on the X axis and Y axis. The default is None.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent